CREATE TABLE cmp_tcs_error_details (
    ERROR_DETAIL_ID      NUMBER(18, 0) ,
    BUSINESS_GROUP_ID    NUMBER(18, 0)     NOT NULL,
    REPORT_DETAIL_ID     NUMBER(18, 0) ,
    REQUEST_ID           NUMBER(18, 0) ,
    CAT_ID               NUMBER(18, 0) ,
    CAT_NAME             VARCHAR2(960) ,
    ITEM_ID              NUMBER(18, 0) ,
    ITEM_NAME            VARCHAR2(960) ,
    ERR_CODE             VARCHAR2(120) ,
    ERR_MESSAGE          VARCHAR2(2400),
    ERR_TYPE             VARCHAR2(120) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ERROR_DETAIL_ID      NUMBER(18, 0) ,
    BUSINESS_GROUP_ID    NUMBER(18, 0)     NOT NULL,
    REPORT_DETAIL_ID     NUMBER(18, 0) ,
    REQUEST_ID           NUMBER(18, 0) ,
    CAT_ID               NUMBER(18, 0) ,
    CAT_NAME             VARCHAR2(960) ,
    ITEM_ID              NUMBER(18, 0) ,
    ITEM_NAME            VARCHAR2(960) ,
    ERR_CODE             VARCHAR2(120) ,
    ERR_MESSAGE          VARCHAR2(2400),
    ERR_TYPE             VARCHAR2(120) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_cmp_tcs_error_details PRIMARY KEY (ERROR_DETAIL_ID, ERROR_DETAIL_ID)
);
